=== debian/changelog ===
pyside-qt4 (0.2.3-0maemo1) unstable; urgency=low

  * Release 0.2.3.
  * Add pyside-qt4-maemo5 package.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Fri, 18 Dec 2009 13:43:23 -0400

pyside-qt4 (0.2.2-0pyside0~ppa1) unstable; urgency=low

  * Update for final 0.2.2 release
  * Support to Qt 4.6
  * Bug fix

 -- Renato Filho <renato.filho@openbossa.org>  Wed, 23 Nov 2009 15:36:00 -0300
