=== debian/control ===
Source: pyside-qt4
Section: python
Priority: optional
Maintainer: PySide team <contact@pyside.org>
Build-Depends: debhelper (>= 5), cmake, python-dev, libqt4-maemo5-dev, libqt4-maemo5-phonon, boostpythongenerator (>= 0.3.3), python-support, libboost-python1.38-dev, quilt
Standards-Version: 3.8.0

Package: pyside-qt4
Architecture: all
Depends: pyside-qt4-base (= ${binary:Version}), pyside-qt4-core (= ${binary:Version})
Replaces: pyside
Provides: pyside
Conflicts: pyside
Description: Python bindings for Qt 4 (metapackage)
 Python bindings for Qt4 framework. This is a metapackage for the
 basic packages.

Package: pyside-qt4-base
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-core, libboost-python1.38.0
Replaces: pyside-base
Provides: pyside-base
Conflicts: pyside-base
Description: Python bindings for Qt 4 (base files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains base files used by all modules.

Package: pyside-qt4-base-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-dev, libboost-python1.38-dev, pyside-qt4-base
Replaces: pyside-base-dev
Provides: pyside-base-dev
Conflicts: pyside-base-dev
Description: Python bindings for Qt 4 (development files)
 Development headers for the pysidebase library.

Package: pyside-qt4-core
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-core, libboost-python1.38.0, libfontconfig1
Replaces: pyside-core
Provides: pyside-core, ${python:Provides}
Conflicts: pyside-core
Description: Qt 4 core module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtCore module.

Package: pyside-qt4-gui
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-gui, pyside-qt4-core (= ${binary:Version})
Replaces: pyside-gui
Provides: pyside-gui, ${python:Provides}
Conflicts: pyside-gui
Description: Qt 4 GUI module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtGui module.

Package: pyside-qt4-maemo5
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-maemo5, pyside-qt4-gui (= ${binary:Version})
Description: Qt 4 Maemo5 module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtMaemo5 module.

Package: pyside-qt4-network
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-network, pyside-qt4-core (= ${binary:Version})
Replaces: pyside-network
Provides: pyside-network, ${python:Provides}
Conflicts: pyside-network
Description: Qt 4 network module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtNetwork module.

Package: pyside-qt4-opengl
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-opengl, pyside-qt4-core (= ${binary:Version}), pyside-qt4-gui (= ${binary:Version})
Replaces: pyside-opengl
Provides: pyside-opengl, ${python:Provides}
Conflicts: pyside-opengl
Description: Qt 4 OpenGL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtOpenGL module.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: pyside-qt4-phonon
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-phonon, pyside-qt4-core (= ${binary:Version}), pyside-qt4-gui (= ${binary:Version})
Replaces: pyside-phonon
Provides: pyside-phonon, ${python:Provides}
Conflicts: pyside-phonon
Description: Qt 4 Phonon module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the Phonon multimedia module.

Package: pyside-qt4-script
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-script, pyside-qt4-core (= ${binary:Version})
Replaces: pyside-script
Provides: pyside-script, ${python:Provides}
Conflicts: pyside-script
Description: Qt 4 script module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtScript and QtScriptTools
 modules.

Package: pyside-qt4-sql
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-sql, pyside-qt4-core (= ${binary:Version}), pyside-qt4-gui (= ${binary:Version})
Replaces: pyside-sql
Provides: pyside-sql, ${python:Provides}
Conflicts: pyside-sql
Description: Qt 4 SQL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtSql module.

Package: pyside-qt4-svg
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-svg, pyside-qt4-core (= ${binary:Version}), pyside-qt4-gui (= ${binary:Version})
Replaces: pyside-svg
Provides: pyside-svg, ${python:Provides}
Conflicts: pyside-svg
Description: Qt 4 SVG module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtSvg module.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.

Package: pyside-qt4-webkit
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-webkit, pyside-qt4-network (= ${binary:Version}), pyside-qt4-core (= ${binary:Version}), pyside-qt4-gui (= ${binary:Version}), libqt4-maemo5-phonon, libqt4-maemo5-dbus
Replaces: pyside-webkit
Provides: pyside-webkit, ${python:Provides}
Conflicts: pyside-webkit
Description: Qt 4 WebKit module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtWebKit module.

Package: pyside-qt4-xml
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-xml, pyside-qt4-core (= ${binary:Version})
Replaces: pyside-xml
Provides: pyside-xml, ${python:Provides}
Conflicts: pyside-xml
Description: Qt 4 XML module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtXml module.
