## pyside-qt4 0.2.3-1maemo1

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
     endif(CMAKE_HOST_APPLE)
 endif(CMAKE_HOST_UNIX)
 
-find_package(Boost 1.38.0 COMPONENTS python REQUIRED)
+find_package(Boost 1.40.0 COMPONENTS python REQUIRED)
 find_package(PythonLibs REQUIRED)
 find_package(PythonInterp REQUIRED)
 find_package(Qt4 4.5.0 REQUIRED)
@@ -34,7 +34,7 @@
 set(BINDING_NAME PySide)
 set(BINDING_API_MAJOR_VERSION "0")
 set(BINDING_API_MINOR_VERSION "2")
-set(BINDING_API_MICRO_VERSION "3")
+set(BINDING_API_MICRO_VERSION "4")
 set(BINDING_API_VERSION "${BINDING_API_MAJOR_VERSION}.${BINDING_API_MINOR_VERSION}.${BINDING_API_MICRO_VERSION}")
 
 option(ENABLE_MAEMO5 "Enable Maemo5 support")
