=== debian/changelog ===
pyside-qt4 (0.2.3-1maemo1) unstable; urgency=low

  * Fix bug #115 - Missing dependencies for some pyside packages.
  * Update Qt 4.6.1.

 -- Renato Filho  <renato.filho@openbossa.org>  Wed, 20 Jan 2010 15:14:09 -0300
