=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: PySide team <contact@pyside.org>
-Build-Depends: debhelper (>= 5), cmake, python-dev, libqt4-maemo5-dev, libqt4-maemo5-phonon, boostpythongenerator (>= 0.3.3), python-support, libboost-python1.38-dev, quilt
+Build-Depends: debhelper (>= 5), cmake, python-dev, libqt4-maemo5-dev, libqt4-maemo5-phonon, boostpythongenerator (>= 0.3.3), python-support, libboost-python1.38-dev, quilt 
 Standards-Version: 3.8.0
 
 Package: pyside-qt4
@@ -65,7 +65,7 @@
 Package: pyside-qt4-maemo5
 Architecture: any
 XB-Python-Version: ${python:Versions}
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-maemo5, pyside-qt4-gui (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-maemo5, pyside-qt4-gui (= ${binary:Version}), libqt4-maemo5-dbus, libqt4-maemo5-xml
 Description: Qt 4 Maemo5 module - Python bindings
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -104,7 +104,7 @@
 Package: pyside-qt4-phonon
 Architecture: any
 XB-Python-Version: ${python:Versions}
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-phonon, pyside-qt4-core (= ${binary:Version}), pyside-qt4-gui (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-phonon, pyside-qt4-core (= ${binary:Version}), pyside-qt4-gui (= ${binary:Version}), pyside-qt4-dbus (= ${binary:Version}), pyside-qt4-xml (= ${binary:Version})
 Replaces: pyside-phonon
 Provides: pyside-phonon, ${python:Provides}
 Conflicts: pyside-phonon
@@ -160,7 +160,7 @@
 Package: pyside-qt4-webkit
 Architecture: any
 XB-Python-Version: ${python:Versions}
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-webkit, pyside-qt4-network (= ${binary:Version}), pyside-qt4-core (= ${binary:Version}), pyside-qt4-gui (= ${binary:Version}), libqt4-maemo5-phonon, libqt4-maemo5-dbus
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-webkit, pyside-qt4-network (= ${binary:Version}), pyside-qt4-core (= ${binary:Version}), pyside-qt4-gui (= ${binary:Version}), pyside-qt4-xml (= ${binary:Version}), pyside-qt4-dbus (= ${binary:Version}), 
 Replaces: pyside-webkit
 Provides: pyside-webkit, ${python:Provides}
 Conflicts: pyside-webkit
